RootEntitySourceImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.annotations.entity
Class RootEntitySourceImpl

    java.lang.Object
      org.hibernate.metamodel.source.annotations.entity.EntitySourceImpl
          org.hibernate.metamodel.source.annotations.entity.RootEntitySourceImpl

All Implemented Interfaces:
  AttributeSourceContainer, EntitySource, RootEntitySource, SubclassEntityContainer

    public class RootEntitySourceImpl

extends EntitySourceImpl
implements RootEntitySource

Constructor Summary
`RootEntitySourceImpl(EntityClass entityClass)`

Method Summary
`Caching` | `getCaching()` Obtain the caching configuration for this entity.
`DiscriminatorSource` | `getDiscriminatorSource()` Obtain the source information about the discriminator attribute for single table inheritance
`EntityMode` | `getEntityMode()` Obtain the entity mode for this entity.
`IdentifierSource` | `getIdentifierSource()` Obtain source information about this entity's identifier.
`OptimisticLockStyle` | `getOptimisticLockStyle()` Obtain the optimistic locking style for this entity.
`String` | `getRowId()` Obtain the row-id name for this entity
`SingularAttributeSource` | `getVersioningAttributeSource()` Obtain the source information about the attribute used for versioning.
`String` | `getWhere()` Obtain the specified extra where condition to be applied to this entity.
`boolean` | `isExplicitPolymorphism()` Should explicit polymorphism (querying) be applied to this entity?
`boolean` | `isMutable()` Is this root entity mutable?

Methods inherited from class org.hibernate.metamodel.source.annotations.entity.EntitySourceImpl
`add, attributeSources, getBatchSize, getClassName, getConstraints, getCustomLoaderName, getCustomPersisterClassName, getCustomSqlDelete, getCustomSqlInsert, getCustomSqlUpdate, getCustomTuplizerClassName, getDiscriminatorMatchValue, getEntityClass, getEntityName, getJpaCallbackClasses, getJpaEntityName, getLocalBindingContext, getOrigin, getPath, getPrimaryTable, getProxy, getSecondaryTables, getSynchronizedTableNames, isAbstract, isDynamicInsert, isDynamicUpdate, isLazy, isSelectBeforeUpdate, metaAttributes, subclassEntitySources`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.metamodel.source.binder.EntitySource
`getBatchSize, getClassName, getConstraints, getCustomLoaderName, getCustomPersisterClassName, getCustomSqlDelete, getCustomSqlInsert, getCustomSqlUpdate, getCustomTuplizerClassName, getDiscriminatorMatchValue, getEntityName, getJpaCallbackClasses, getJpaEntityName, getLocalBindingContext, getOrigin, getPrimaryTable, getProxy, getSecondaryTables, getSynchronizedTableNames, isAbstract, isDynamicInsert, isDynamicUpdate, isLazy, isSelectBeforeUpdate, metaAttributes`

Methods inherited from interface org.hibernate.metamodel.source.binder.SubclassEntityContainer
`add, subclassEntitySources`

Methods inherited from interface org.hibernate.metamodel.source.binder.AttributeSourceContainer
`attributeSources, getPath`

Constructor Detail

### RootEntitySourceImpl

    public RootEntitySourceImpl(EntityClass entityClass)

Method Detail

### getIdentifierSource

    public IdentifierSource getIdentifierSource()

  Description copied from interface: `RootEntitySource`
  Obtain source information about this entity's identifier.

  Specified by:
    `getIdentifierSource` in interface `RootEntitySource`
  Returns:
    Identifier source information.

### getVersioningAttributeSource

    public SingularAttributeSource getVersioningAttributeSource()

  Description copied from interface: `RootEntitySource`
  Obtain the source information about the attribute used for versioning.

  Specified by:
    `getVersioningAttributeSource` in interface `RootEntitySource`
  Returns:
    the source information about the attribute used for versioning

### getDiscriminatorSource

    public DiscriminatorSource getDiscriminatorSource()

  Description copied from interface: `RootEntitySource`
  Obtain the source information about the discriminator attribute for single table inheritance

  Specified by:
    `getDiscriminatorSource` in interface `RootEntitySource`
  Returns:
    the source information about the discriminator attribute for single table inheritance

### getEntityMode

    public EntityMode getEntityMode()

  Description copied from interface: `RootEntitySource`
  Obtain the entity mode for this entity.

  Specified by:
    `getEntityMode` in interface `RootEntitySource`
  Returns:
    The entity mode.

### isMutable

    public boolean isMutable()

  Description copied from interface: `RootEntitySource`
  Is this root entity mutable?

  Specified by:
    `isMutable` in interface `RootEntitySource`
  Returns:
    `true` indicates mutable; `false` non-mutable.

### isExplicitPolymorphism

    public boolean isExplicitPolymorphism()

  Description copied from interface: `RootEntitySource`
  Should explicit polymorphism (querying) be applied to this entity?

  Specified by:
    `isExplicitPolymorphism` in interface `RootEntitySource`
  Returns:
    `true` indicates explicit polymorphism; `false` implicit.

### getWhere

    public String getWhere()

  Description copied from interface: `RootEntitySource`
  Obtain the specified extra where condition to be applied to this entity.

  Specified by:
    `getWhere` in interface `RootEntitySource`
  Returns:
    The extra where condition

### getRowId

    public String getRowId()

  Description copied from interface: `RootEntitySource`
  Obtain the row-id name for this entity

  Specified by:
    `getRowId` in interface `RootEntitySource`
  Returns:
    The row-id name

### getOptimisticLockStyle

    public OptimisticLockStyle getOptimisticLockStyle()

  Description copied from interface: `RootEntitySource`
  Obtain the optimistic locking style for this entity.

  Specified by:
    `getOptimisticLockStyle` in interface `RootEntitySource`
  Returns:
    The optimistic locking style.

### getCaching

    public Caching getCaching()

  Description copied from interface: `RootEntitySource`
  Obtain the caching configuration for this entity.

  Specified by:
    `getCaching` in interface `RootEntitySource`
  Returns:
    The caching configuration.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.